diff -purN net/opal/Makefile net/opal.new/Makefile
--- net/opal/Makefile	2009-01-31 06:30:29.000000000 +0800
+++ net/opal.new/Makefile	2009-02-18 15:19:23.000000000 +0800
@@ -2,48 +2,39 @@
 # Date created:		Thu Feb 17 15:00:48 GMT 2000
 # Whom:			Roger Hardiman <roger@freebsd.org>
 #
-# $FreeBSD: ports/net/opal/Makefile,v 1.92 2009/01/30 22:30:29 pav Exp $
+# $FreeBSD: ports/net/opal/Makefile,v 1.90 2008/08/20 00:57:03 ade Exp $
 #
 
 PORTNAME=	opal
-PORTVERSION=	2.2.11
-PORTREVISION=	1
+PORTVERSION=	3.4.4
 CATEGORIES=	net
-MASTER_SITES=	GNOME
+MASTER_SITES=   ${MASTER_SITE_GNOME}
+MASTER_SITE_SUBDIR=     sources/${PORTNAME}/3.4
 
 MAINTAINER=	mi@aldan.algebra.com
 COMMENT=	VoIP abstraction library
 
-OPTIONS=	FFMPEG	"Support H263 audio/video codec"	on \
-		SPEEX	"Use speex installed by audio/speex"	on
+OPTIONS=	SPEEX	"Use speex installed by audio/speex"	on
 
-LIB_DEPENDS=	pt_r:${PORTSDIR}/devel/pwlib
+DEPENDS=	${LOCALBASE}/libdata/pkgconfig/ptlib.pc:${PORTSDIR}/devel/ptlib
+LIB_DEPENDS=	avcodec:${PORTSDIR}/multimedia/ffmpeg \
+		theora.0:${PORTSDIR}/multimedia/libtheora
 
-# In opal's Makefile the default make's target is optshared
-ALL_TARGET=	-j`${SYSCTL} -n hw.ncpu` optshared
+ALL_TARGET=	-j`${SYSCTL} -n hw.ncpu`
 USE_GMAKE=	yes
-USE_AUTOTOOLS=	autoconf:262
-USE_GNOME=	gnometarget
+USE_GNOME=	pkgconfig gnometarget
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 MAKE_ARGS=	-j`${SYSCTL} -n hw.ncpu`
 
-CONFIGURE_ENV+=	CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include -I${WRKSRC}/include" \
-		LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
-PLIST_SUB=	PORTVERSION=${PORTVERSION}
+CONFIGURE_ENV+=	STDCCFLAGS="-I${WRKSRC}/include"
+CONFIGURE_ARGS+=--enable-debug=no
 
 .include <bsd.port.pre.mk>
 
 # Be sure to compile position-independent objects for the shared libraries
 CFLAGS+=	-fPIC
 
-.if defined(WITHOUT_FFMPEG)
-CONFIGURE_ARGS+=--disable-h263avcodec
-.else
-LIB_DEPENDS+=	avcodec:${PORTSDIR}/multimedia/ffmpeg
-CONFIGURE_ARGS+=--enable-h263avcodec=${LOCALBASE}/include/ffmpeg
-.endif
-
 .if defined(WITHOUT_SPEEX)
 CONFIGURE_ARGS+=--enable-localspeex=no
 .else
diff -purN net/opal/distinfo net/opal.new/distinfo
--- net/opal/distinfo	2008-03-07 04:41:13.000000000 +0800
+++ net/opal.new/distinfo	2009-02-18 15:19:23.000000000 +0800
@@ -1,3 +1,3 @@
-MD5 (opal-2.2.11.tar.gz) = eb4a9c0c9ea93ec95c876aaeadf83936
-SHA256 (opal-2.2.11.tar.gz) = 0990ead39728f23a1ce39997f41a8484c59809ccec0e770b9bc4f795a85a29c4
-SIZE (opal-2.2.11.tar.gz) = 4165191
+MD5 (opal-3.4.4.tar.gz) = ebd73f256f6282ab13b1b22a2d23c222
+SHA256 (opal-3.4.4.tar.gz) = c0de18cf3e7a8f64c0691f198e8290b0fb9a876f30de21da12f84019c16f7617
+SIZE (opal-3.4.4.tar.gz) = 11732439
diff -purN net/opal/files/patch-Makefile.in net/opal.new/files/patch-Makefile.in
--- net/opal/files/patch-Makefile.in	2006-07-05 10:44:55.000000000 +0800
+++ net/opal.new/files/patch-Makefile.in	2009-02-18 15:19:23.000000000 +0800
@@ -1,13 +1,13 @@
---- Makefile.in.orig	Sat Apr 22 16:06:54 2006
-+++ Makefile.in	Thu Jun 22 09:39:04 2006
-@@ -427,10 +427,6 @@
- SOURCES += $(OPAL_SRCDIR)/lids/vpblid.cxx
- endif
+--- Makefile.in.orig	2009-01-09 10:16:06.000000000 +0800
++++ Makefile.in	2009-01-09 10:18:33.000000000 +0800
+@@ -521,8 +521,8 @@
+ 	$(INSTALL) -m 755 $(OPAL_LIBDIR)/$(LIB_FILENAME_STATIC) $(DESTDIR)$(libdir)
+ 	$(INSTALL) -m 755 $(OPAL_LIBDIR)/$(LIB_FILENAME_SHARED_PAT) $(DESTDIR)$(libdir)
+ 	ln -snf $(LIB_FILENAME_SHARED_PAT) $(DESTDIR)$(libdir)/$(LIB_FILENAME_SHARED)
+-	mkdir -p $(DESTDIR)$(libdir)/pkgconfig ; chmod 755 $(DESTDIR)$(libdir)/pkgconfig
+-	$(INSTALL) -m 644 opal.pc $(DESTDIR)$(libdir)/pkgconfig
++	mkdir -p $(DESTDIR)/$(prefix)/libdata/pkgconfig ; chmod 755 $(DESTDIR)$(prefix)/libdata/pkgconfig
++	$(INSTALL) -m 644 opal.pc $(DESTDIR)/$(prefix)/libdata/pkgconfig
  
--ifdef HAS_SANGOMA
--SOURCES += $(OPAL_SRCDIR)/lids/sangomalid.cxx
--endif
--
- 
- ##################
- # Software codecs
+ 	mkdir -p $(DESTDIR)$(includedir)/opal; chmod 755 $(DESTDIR)$(includedir)/opal
+ 	$(INSTALL) -m 644 include/opal.h $(DESTDIR)$(includedir)/opal
diff -purN net/opal/files/patch-libspeex net/opal.new/files/patch-libspeex
--- net/opal/files/patch-libspeex	2006-07-05 10:44:55.000000000 +0800
+++ net/opal.new/files/patch-libspeex	1970-01-01 08:00:00.000000000 +0800
@@ -1,13 +0,0 @@
---- src/codec/speex/libspeex/kiss_fft.h.orig	Thu Jun 22 09:56:34 2006
-+++ src/codec/speex/libspeex/kiss_fft.h	Thu Jun 22 09:56:53 2006
-@@ -6,10 +6,6 @@
- #include <math.h>
- #include <memory.h>
- 
--#if !(defined(P_MACOSX) || defined(P_FREEBSD))
--#include <malloc.h>   // RMF
--#endif
--
- #ifdef __cplusplus
- extern "C" {
- #endif
diff -purN net/opal/files/patch-opal_inc.mak.in net/opal.new/files/patch-opal_inc.mak.in
--- net/opal/files/patch-opal_inc.mak.in	2006-04-08 13:14:22.000000000 +0800
+++ net/opal.new/files/patch-opal_inc.mak.in	1970-01-01 08:00:00.000000000 +0800
@@ -1,11 +0,0 @@
---- opal_inc.mak.in.orig	Fri Apr  7 08:12:16 2006
-+++ opal_inc.mak.in	Fri Apr  7 08:13:55 2006
-@@ -103,7 +103,7 @@
- endif
- 
- 
--OPAL_BASE  = opal_$(PLATFORM_TYPE)_$(OPAL_SUFFIX)
-+OPAL_BASE  = opal_$(OPAL_SUFFIX)
- OPAL_FILE  = lib$(OPAL_BASE)$(LIB_TYPE).$(LIB_SUFFIX)
- 
- LDFLAGS	    += -L$(OPAL_LIBDIR)
diff -purN net/opal/pkg-plist net/opal.new/pkg-plist
--- net/opal/pkg-plist	2007-02-09 17:25:51.000000000 +0800
+++ net/opal.new/pkg-plist	2009-02-18 15:19:23.000000000 +0800
@@ -1,6 +1,11 @@
+lib/libopal.so.3.4-beta4
+lib/libopal.so
+lib/libopal_s.a
+include/opal/opal.h
 include/opal/asn/gcc.h
 include/opal/asn/h225.h
 include/opal/asn/h235.h
+include/opal/asn/h235_srtp.h
 include/opal/asn/h245.h
 include/opal/asn/h248.h
 include/opal/asn/h4501.h
@@ -18,22 +23,18 @@ include/opal/asn/h501.h
 include/opal/asn/mcs.h
 include/opal/asn/t38.h
 include/opal/asn/x880.h
-include/opal/codec/allcodecs.h
+@dirrm include/opal/asn
 include/opal/codec/echocancel.h
+include/opal/codec/g711a1_plc.h
 include/opal/codec/g711codec.h
-include/opal/codec/g726codec.h
-include/opal/codec/g729codec.h
-include/opal/codec/gsmcodec.h
-include/opal/codec/h261codec.h
-include/opal/codec/h263codec.h
-include/opal/codec/ilbccodec.h
-include/opal/codec/lpc10codec.h
-include/opal/codec/mscodecs.h
+include/opal/codec/opalplugin.h
+include/opal/codec/opalpluginmgr.h
 include/opal/codec/opalwavfile.h
 include/opal/codec/rfc2833.h
+include/opal/codec/rfc4175.h
 include/opal/codec/silencedetect.h
-include/opal/codec/speexcodec.h
 include/opal/codec/vidcodec.h
+@dirrm include/opal/codec
 include/opal/h323/channels.h
 include/opal/h323/gkclient.h
 include/opal/h323/gkserver.h
@@ -54,74 +55,107 @@ include/opal/h323/peclient.h
 include/opal/h323/q931.h
 include/opal/h323/svcctrl.h
 include/opal/h323/transaddr.h
+@dirrm include/opal/h323
+include/opal/h460/h460.h
+include/opal/h460/h4601.h
+include/opal/h460/h46018.h
+include/opal/h460/h46019.h
+include/opal/h460/h4609.h
+include/opal/h460/h460p.h
+include/opal/h460/h460pres.h
+include/opal/h460/h460tm.h
+@dirrm include/opal/h460
+include/opal/iax2/callprocessor.h
 include/opal/iax2/causecode.h
 include/opal/iax2/frame.h
 include/opal/iax2/iax2.h
 include/opal/iax2/iax2con.h
 include/opal/iax2/iax2ep.h
+include/opal/iax2/iax2jitter.h
 include/opal/iax2/iax2medstrm.h
 include/opal/iax2/iedata.h
 include/opal/iax2/ies.h
+include/opal/iax2/overview.h
 include/opal/iax2/processor.h
 include/opal/iax2/receiver.h
+include/opal/iax2/regprocessor.h
 include/opal/iax2/remote.h
 include/opal/iax2/safestrings.h
 include/opal/iax2/sound.h
+include/opal/iax2/specialprocessor.h
 include/opal/iax2/transmit.h
 include/opal/iax2/version.h
-include/opal/lids/QTIoctl.h
-include/opal/lids/alllids.h
-include/opal/lids/ixjDefs.h
-include/opal/lids/ixjidb.h
-include/opal/lids/ixjlid.h
+@dirrm include/opal/iax2
 include/opal/lids/lid.h
 include/opal/lids/lidep.h
-include/opal/lids/sangomalid.h
-include/opal/lids/vblasterlid.h
-include/opal/lids/vpbapi.h
-include/opal/lids/vpblid.h
+include/opal/lids/lidplugin.h
+include/opal/lids/lidpluginmgr.h
+@dirrm include/opal/lids
+include/opal/opal/audiorecord.h
 include/opal/opal/buildopts.h
 include/opal/opal/call.h
 include/opal/opal/connection.h
 include/opal/opal/endpoint.h
 include/opal/opal/guid.h
 include/opal/opal/ivr.h
+include/opal/opal/localep.h
 include/opal/opal/manager.h
 include/opal/opal/mediacmd.h
 include/opal/opal/mediafmt.h
 include/opal/opal/mediastrm.h
+include/opal/opal/mediatype.h
+include/opal/opal/opalmixer.h
 include/opal/opal/opalvxml.h
 include/opal/opal/patch.h
 include/opal/opal/pcss.h
+include/opal/opal/rtpconn.h
+include/opal/opal/rtpep.h
 include/opal/opal/transcoders.h
 include/opal/opal/transports.h
+@dirrm include/opal/opal
 include/opal/rtp/jitter.h
 include/opal/rtp/rtp.h
+include/opal/rtp/srtp.h
+include/opal/rtp/zrtpudp.h
+@dirrm include/opal/rtp
+include/opal/sip/handlers.h
 include/opal/sip/sdp.h
+include/opal/sip/sdpcaps.h
 include/opal/sip/sip.h
 include/opal/sip/sipcon.h
 include/opal/sip/sipep.h
 include/opal/sip/sippdu.h
+@dirrm include/opal/sip
 include/opal/t120/h323t120.h
 include/opal/t120/t120proto.h
 include/opal/t120/x224.h
+@dirrm include/opal/t120
 include/opal/t38/h323t38.h
+include/opal/t38/sipt38.h
 include/opal/t38/t38proto.h
-lib/libopal.so
-lib/libopal_r.so
-lib/libopal_r.so.2
-lib/libopal_r.so.2.2
-lib/libopal_r.so.%%PORTVERSION%%
-%%DATADIR%%/opal_inc.mak
-@dirrm %%DATADIR%%
 @dirrm include/opal/t38
-@dirrm include/opal/t120
-@dirrm include/opal/sip
-@dirrm include/opal/rtp
-@dirrm include/opal/opal
-@dirrm include/opal/lids
-@dirrm include/opal/iax2
-@dirrm include/opal/h323
-@dirrm include/opal/codec
-@dirrm include/opal/asn
+include/opal/zrtp/opalzrtp.h
+include/opal/zrtp/zrtpeventproc.h
+@dirrm include/opal/zrtp
 @dirrm include/opal
+lib/opal-3.4.4/codecs/audio/gsm0610_audio_pwplugin.so
+lib/opal-3.4.4/codecs/audio/speex_audio_pwplugin.so
+lib/opal-3.4.4/codecs/audio/ilbc_audio_pwplugin.so
+lib/opal-3.4.4/codecs/audio/lpc10_audio_pwplugin.so
+lib/opal-3.4.4/codecs/audio/g726_audio_pwplugin.so
+lib/opal-3.4.4/codecs/audio/ima_adpcm_audio_pwplugin.so
+lib/opal-3.4.4/codecs/audio/gsmamrcodec_pwplugin.so
+@dirrm lib/opal-3.4.4/codecs/audio
+lib/opal-3.4.4/codecs/video/h261-vic_video_pwplugin.so
+lib/opal-3.4.4/codecs/video/h263-ffmpeg_video_pwplugin.so
+lib/opal-3.4.4/codecs/video/h264_video_pwplugin_helper
+lib/opal-3.4.4/codecs/video/h264_video_pwplugin.so
+lib/opal-3.4.4/codecs/video/h263-1998_video_pwplugin.so
+lib/opal-3.4.4/codecs/video/mpeg4-ffmpeg_video_pwplugin.so
+lib/opal-3.4.4/codecs/video/theora_video_pwplugin.so
+@dirrm lib/opal-3.4.4/codecs/video
+@dirrm lib/opal-3.4.4/codecs
+lib/opal-3.4.4/lid/vpb_lid_pwplugin.so
+@dirrm lib/opal-3.4.4/lid
+@dirrm lib/opal-3.4.4
+libdata/pkgconfig/opal.pc
